Package org.eclipse.m2m.atl.profiler.core

## Class ATLModelHandler

- java.lang.Object
- - org.eclipse.m2m.atl.profiler.core.ATLModelHandler

    public final class ATLModelHandler
    extends java.lang.Object

Class that manage information from the ATL VM (via ATL profiler) linked with the profiling model.

See Also:
  `ATLProfiler`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.eclipse.emf.ecore.EObject` `getAtlModel()`
`java.lang.String` `getATLName​(java.lang.String sfOpName)` Get the real ATL name (from the ATL Model).
`org.eclipse.emf.ecore.EObject` `getATLOperationFromName​(java.lang.String sfOpName)` Get ATL operation from a name.
`static ATLModelHandler` `getInstance()` Singleton access.
`void` `init()` Initialize components.
`static boolean` `isNativeOperation​(java.lang.String name)` Check if the name refer to a atl asm native operation.
`void` `registerATLModel​(org.eclipse.emf.ecore.EObject model)` Register ATL model for operation registry.
`void` `setAtlModel​(org.eclipse.emf.ecore.EObject atlModel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static ATLModelHandler getInstance()

Singleton access.

Returns:
  the `ATLModelHandler` singleton

#### init

    public void init()

Initialize components.

#### registerATLModel

    public void registerATLModel​(org.eclipse.emf.ecore.EObject model)

Register ATL model for operation registry.

Parameters:
  `model` - the atl model

#### isNativeOperation

    public static boolean isNativeOperation​(java.lang.String name)

Check if the name refer to a atl asm native operation.

Parameters:
  `name` - the operation name
Returns:
  `true` if the operation is native

#### getATLName

    public java.lang.String getATLName​(java.lang.String sfOpName)

Get the real ATL name (from the ATL Model).

Parameters:
  `sfOpName` - the operation name
Returns:
  the real ATL name

#### getATLOperationFromName

    public org.eclipse.emf.ecore.EObject getATLOperationFromName​(java.lang.String sfOpName)

Get ATL operation from a name.

Parameters:
  `sfOpName` - the operation name
Returns:
  the operation element

#### getAtlModel

    public org.eclipse.emf.ecore.EObject getAtlModel()

#### setAtlModel

    public void setAtlModel​(org.eclipse.emf.ecore.EObject atlModel)